// Listing 4: Go - Zugriff auf den Bosch-Sensor BMP180 über den I2C-Bus
// +build ignore
package main
import (
"flag"
"fmt"
"time"
"github.com/kidoman/embd"
"github.com/kidoman/embd/sensor/bmp180"
_ "github.com/kidoman/embd/host/all"
)
func main() {
flag.Parse()
// err != nil => Fehler aufgetreten
// defer wird auf jeden Fall durchgeführt
if err := embd.InitI2C(); err != nil {
panic(err)
}
defer embd.CloseI2C()
bus := embd.NewI2CBus(1)
baro := bmp180.New(bus)
defer baro.Close()
for {
temp, err := baro.Temperature()
if err != nil {
panic(err)
}
fmt.Printf("Temperatur = %v\n", temp)
pressure, err := baro.Pressure()
if err != nil {
panic(err)
}
fmt.Printf("Luftdruck ist %v\n", pressure)
altitude, err := baro.Altitude()
if err != nil {
panic(err)
}
fmt.Printf("Die Höhe beträgt %v\n", altitude)
time.Sleep(5000 * time.Millisecond)
}
}

